scalar.hpp File Reference

A holder for an instance of any scalar AMQP type. More...

`#include "./scalar_base.hpp"`
`#include <proton/type_compat.h>`
Include dependency graph for scalar.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | scalar
| A holder for an instance of any scalar AMQP type. More...

## Namespaces

| proton
| The main Proton namespace.

## Functions

template<class T >
T | get (const scalar &s)
| Get a contained value of type T. More...
template<class T >
T | coerce (const scalar &x)
| Coerce the contained value to type T. More...
template<class T >
T | coerce (scalar &x)
| Coerce the contained value to type T. More...

## Detailed Description

A holder for an instance of any scalar AMQP type.